Node.js
import { createHmac } from "node:crypto";
// Node.js 18+. Set credentials and resource values on your server.
function required(name) {
const value = process.env[name];
if (!value) throw new Error(`Set ${name} before running this example.`);
return value;
}
const baseUrl = process.env.LEDIG_API_BASE_URL ?? "https://api-sandbox.ledig.io";
const method = "GET";
const currency = "USD";
const path = `/v1/virtual-accounts/${encodeURIComponent(currency)}`;
const pathWithQuery = path;
const rawBody = "";
const headers = { "Accept": "application/json" };
const timestamp = Math.floor(Date.now() / 1000).toString();
const payload = `${timestamp}.${method}.${pathWithQuery}.${rawBody}`;
headers["x-ledig-key"] = required("LEDIG_API_KEY");
headers["x-ledig-timestamp"] = timestamp;
headers["x-ledig-signature"] = "v1=" + createHmac("sha256", required("LEDIG_API_SECRET"))
.update(payload).digest("base64");
const response = await fetch(`${baseUrl}${pathWithQuery}`, {
method,
headers,
});
const result = await response.json();
// Use result in your application; do not log credentials or upload links.
console.log(response.status);{
"status": "success",
"data": {
"id": "account_example_001",
"profileId": "profile_example_001",
"currencyCode": "USD",
"accountName": "Example Supplies Ltd",
"accountNumber": "0000000000",
"bankName": "Example Bank",
"bankCode": "EXAMPLE",
"status": "active",
"disabledAt": null,
"meta": {},
"createdAt": "2026-01-15T10:00:00.000Z",
"updatedAt": "2026-01-15T10:00:00.000Z"
}
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Authentication is required."
}{
"status": "error",
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "The requested resource was not found."
}{
"status": "error",
"code": "RATE_LIMITED",
"message": "Too many requests. Wait before trying again."
}{
"status": "error",
"code": "PROVIDER_UNAVAILABLE",
"message": "This service is temporarily unavailable. Please try again later."
}Funding accounts
View a receiving account
Get your existing bank receiving details for a currency.
GET
/
v1
/
virtual-accounts
/
{currency}
Node.js
import { createHmac } from "node:crypto";
// Node.js 18+. Set credentials and resource values on your server.
function required(name) {
const value = process.env[name];
if (!value) throw new Error(`Set ${name} before running this example.`);
return value;
}
const baseUrl = process.env.LEDIG_API_BASE_URL ?? "https://api-sandbox.ledig.io";
const method = "GET";
const currency = "USD";
const path = `/v1/virtual-accounts/${encodeURIComponent(currency)}`;
const pathWithQuery = path;
const rawBody = "";
const headers = { "Accept": "application/json" };
const timestamp = Math.floor(Date.now() / 1000).toString();
const payload = `${timestamp}.${method}.${pathWithQuery}.${rawBody}`;
headers["x-ledig-key"] = required("LEDIG_API_KEY");
headers["x-ledig-timestamp"] = timestamp;
headers["x-ledig-signature"] = "v1=" + createHmac("sha256", required("LEDIG_API_SECRET"))
.update(payload).digest("base64");
const response = await fetch(`${baseUrl}${pathWithQuery}`, {
method,
headers,
});
const result = await response.json();
// Use result in your application; do not log credentials or upload links.
console.log(response.status);{
"status": "success",
"data": {
"id": "account_example_001",
"profileId": "profile_example_001",
"currencyCode": "USD",
"accountName": "Example Supplies Ltd",
"accountNumber": "0000000000",
"bankName": "Example Bank",
"bankCode": "EXAMPLE",
"status": "active",
"disabledAt": null,
"meta": {},
"createdAt": "2026-01-15T10:00:00.000Z",
"updatedAt": "2026-01-15T10:00:00.000Z"
}
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Authentication is required."
}{
"status": "error",
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "The requested resource was not found."
}{
"status": "error",
"code": "RATE_LIMITED",
"message": "Too many requests. Wait before trying again."
}{
"status": "error",
"code": "PROVIDER_UNAVAILABLE",
"message": "This service is temporarily unavailable. Please try again later."
}Required scope:
fiat_wallet
Returns an existing active receiving account, or 404 if your business does not have one for this currency. GET and HEAD never create an account or start an application. Use POST /v1/virtual-accounts with an Idempotency-Key to request an account. Responses use Cache-Control: no-store; fetch current instructions when you need them.